# $Revision: 1.12 $, $Date: 2005/02/19 07:49:35 $
Summary:	DConnect Daemon - Hub D****ct Connect for Linux
Summary(pl):	DConnect Daemon - Hub D****ct Connecta dla Linuksa
Name:		dcd
Version:	0.7.1
Release:	1mdk
License:	GPL v2
Group:		Networking/Daemons
Vendor:		DConnect Team <dc-hub@ds.pg.gda.pl>
Source0:	ftp://pollux.ds.pg.gda.pl/Linux/DConnect/sources/stable/%{name}-%{version}.tar.gz
URL:		http://www.dc.ds.pg.gda.pl/
Requires:	tcp_wrappers
Requires:	chkconfig
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	tcp_wrappers-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
This is Linux D*** Connect Hub implementation for Linux. It works in
daemon mode and utilizes threads.

%description -l pl
Pakiet zawiera Linuksow implementacj huba D*** Connecta, ktry 
pracuje jako demon i uywa wtkw.

%prep

%setup -q

%build
	export NOCONFIGURE=1
	./autogen.sh
	unset NOCONFIGURE

%configure \
	--with-config-dir=%{_sysconfdir}/dcd \
	--with-sbindir=%{_sbindir} \
	--with-group=daemon \
	--with-user=daemon

make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d,logrotate.d},/var/log/archiv/dcd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install contrib/MandrakeLinux/dcd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dcd
install contrib/dcd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/dcd
install contrib/logrotate.dcd $RPM_BUILD_ROOT/etc/logrotate.d/dcd

touch $RPM_BUILD_ROOT/var/log/dcd/dcd.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add dcd

if [ -f /var/lock/subsys/dcd ]; then
        /etc/rc.d/init.d/dcd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/dcd start\" to start DConnect Daemon."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/dcd ]; then
                /etc/rc.d/init.d/dcd stop 1>&2
        fi

		chkconfig --del dcd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS FAQ NEWS README TODO
%attr(755,root,root) %{_sbindir}/dcd
%attr(755,root,root) %{_sbindir}/dcd.adduser
%attr(755,root,root) /etc/rc.d/init.d/dcd
%attr(770,daemon,daemon) %config(noreplace) %{_sysconfdir}/dcd
%attr(660,daemon,daemon) %config(noreplace) %{_sysconfdir}/dcd/*
%attr(644,root,root) %config(noreplace) /etc/sysconfig/dcd
%attr(644,root,root) %config(noreplace) /etc/logrotate.d/dcd
%attr(644,daemon,root) /var/log/dcd/dcd.log
%attr(755,daemon,root) %dir /var/log/dcd
%dir /var/log/archiv/dcd
%{_mandir}/man1/*.1*
%{_mandir}/man2/*.2*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} DConnect Daemon <dc-hub@ds.pg.gda.pl>

$Log: dcd.spec.in,v $
Revision 1.12  2005/02/19 07:49:35  rav


- fixing dependencies

Revision 1.11  2005/02/05 13:34:44  rav


- fix SIGSEGV because of /etc/dcd.penalties file

Revision 1.10  2005/02/05 02:13:29  rav


- from now on ./autogen.sh is used before ./configure while building RPM

Revision 1.9  2005/02/05 01:12:50  rav


- fixing paths

Revision 1.8  2005/02/05 00:40:10  rav


- chkconfig support

Revision 1.7  2005/02/04 18:23:44  rav

- fixing dependencies with tcp_wrappers

Revision 1.6  2005/02/04 17:27:15  rav


- removed problem with chkconfig communicate

Revision 1.5  2005/02/04 17:13:03  rav


- MandrakeLinux Support



